Subject: Re: [PATCH] Fix routing tables with id > 255 for legacy software

From: Jarek Poplawski <[email-masked]>
Date: Tue, 3 Jun 2008 20:42:51 +0200

On Tue, Jun 03, 2008 at 08:29:49PM +0200, Krzysztof Oledzki wrote:
>
>
> On Tue, 3 Jun 2008, Patrick McHardy wrote:
>
>> Jarek Poplawski wrote:
>>> On Tue, Jun 03, 2008 at 05:15:04PM +0200, Krzysztof Oledzki wrote:
>>>>
>>>> On Tue, 3 Jun 2008, Patrick McHardy wrote:
>>> ...
>>> IMHO, adding a safety with e.g. CONFIG_IP_FIB_COMPAT_DEPRECATED
>>> (default N) for one stable, letting to change this back in some
>>> (probably nonexistent) strange cases, should be enough to keep up
>>> appearances...
>>
>>
>> Mhh .. I don't think this is a good solution.
>
> I second that. If you know that you need this option then you don't need  
> it as you may avoid selected tables.

This is only for those (nonexistent, I hope) who would report a
regression to the list or bugzilla ("my scripts are broken") to let
them fix this easy way, or maybe for even fewer ones, who read
config options and would be alarmed with this "DEPRECATED" word.

Jarek P.